#
# spec file for package gnome-multi-writer
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-multi-writer
Version:        3.20.0
Release:        1.1
Summary:        Write an ISO file to multiple USB devices at once
License:        GPL-2.0+
Group:          System/GUI/GNOME
Url:            https://wiki.gnome.org/Apps/MultiWriter
Source:         http://download.gnome.org/sources/gnome-multi-writer/3.20/%{name}-%{version}.tar.xz
BuildRequires:  docbook-utils-minimal
BuildRequires:  gobject-introspection-devel >= 0.9.8
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool >= 0.50.0
BuildRequires:  update-desktop-files
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(gio-2.0) >= 2.25.9
BuildRequires:  pkgconfig(glib-2.0) >= 2.45.8
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.11.2
BuildRequires:  pkgconfig(gudev-1.0)
BuildRequires:  pkgconfig(gusb) >= 0.2.7
BuildRequires:  pkgconfig(libcanberra-gtk3) >= 0.10
BuildRequires:  pkgconfig(udisks2)
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GNOME MultiWriter can be used to write an ISO file to multiple USB devices
at once.
Supported drive sizes are between 1Gb and 32Gb.

MultiWriter may be useful for QA testing, to create a GNOME Live image
or a code sprint or to create hundreds of LiveUSB drives for a trade show.

%lang_package

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
%find_lang %{name} %{?no_lang_C}
%suse_update_desktop_file org.gnome.MultiWriter Filesystem X-GNOME-Utilities

%post
%{icon_theme_cache_post}
%{glib2_gsettings_schema_post}

%postun
%{icon_theme_cache_postun}
%{glib2_gsettings_schema_postun}

%files
%defattr(-,root,root)
%doc COPYING
%{_bindir}/%{name}
%{_bindir}/gnome-multi-writer-probe
%{_datadir}/glib-2.0/schemas/org.gnome.MultiWriter.gschema.xml
%{_datadir}/applications/org.gnome.MultiWriter.desktop
%dir %{_datadir}/appdata
%{_datadir}/appdata/org.gnome.MultiWriter.appdata.xml
%{_datadir}/icons/hicolor/*/apps/gnome-multi-writer.*
# Just own these dirs, no need to buildrequire polkit
%dir %{_datadir}/polkit-1
%dir %{_datadir}/polkit-1/actions
%{_datadir}/polkit-1/actions/org.gnome.MultiWriter.policy
%{_mandir}/man1/gnome-multi-writer.1%{?ext_man}

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Mon Mar 21 2016 dimstar@opensuse.org
- Update to version 3.20.0:
  + Updated translations.
* Tue Feb 16 2016 dimstar@opensuse.org
- Update to version 3.19.90:
  + Add proper text to the button during a copy operation.
* Wed Sep 30 2015 zaitor@opensuse.org
- Own %%{_datadir}/polkit-1 and subfolder for openSUSE Tumbleweed.
* Mon Sep 21 2015 dimstar@opensuse.org
- Update to version 3.18.0:
  + Updated translations.
* Wed Sep 16 2015 dimstar@opensuse.org
- Update to version 3.17.92:
  + Use g_autoptr() types from GLib and GUsb.
  + Updated translations.
* Wed Aug 19 2015 zaitor@opensuse.org
- Update to version 3.17.90:
  + Updated translations.
* Wed Jun 24 2015 dimstar@opensuse.org
- Own %%{_datadir}/appdata for openSUSE 42.
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 3.16.0:
  + No changes.
* Mon Mar 16 2015 dimstar@opensuse.org
- Update to version 3.15.92:
  + Updated translations.
* Tue Mar  3 2015 dimstar@opensuse.org
- Update to version 3.15.91:
  + Updated translations.
* Fri Feb 13 2015 dimstar@opensuse.org
- Update to version 3.15.90:
  + Bugfixes:
  - Add hub quirks for all Plugable USB devices.
  + New features:
  - Optionally check that USB drives are indeed their advertised
    size.
  - Allow renaming hub labels from the UI.
- Add pkgconfig(gudev-1.0) BuildRequires: new dependency for the
  gnome-multi-writer-probe tool.
* Tue Jan 20 2015 badshah400@gmail.com
- Update to version 3.15.4:
  + Show the size next to the device name when the device is idle.
  + Bugs fixed:
  - Add a translatable version of a generic flash drive.
  - Add quirks for the 36 port MegaHub.
  - Don't proceed to the copy phase if unmounting failed.
  - Fix crash when libusb context creation fails.
  - Never use the USB platform ID for the hub label.
  - Support root hubs with bus numbers >= 8.
  - Try to get the icon name hint from UDisks.
  - Unmount all partitions when a device is inserted.
* Sat Jan 10 2015 dimstar@opensuse.org
- Add docbook-utils-minimal BuildRequires: enable building of the
  man pages.
* Fri Jan  9 2015 dimstar@opensuse.org
- Initial package, version 3.15.2.
